Update API Key
curl --request PUT \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/api-keys/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/api-keys/{id}"
payload = {
"name": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', status: '<string>'})
};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Keys
Update API Key
Update API key name or status
PUT
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
api-keys
/
{id}
Update API Key
Path Parameters
Organization ID
Project ID
API Key ID
Request Body
Updated name for the API key
Updated status:
active or revokedExample Request
{
"name": "Updated Name",
"status": "active"
}
Response
Returns the updated API Key object (without the key value).{
"id": "afd8012b-d81e-41c6-92cd-eed0c6cb3676",
"projectId": "70093272-90ef-43df-807b-b66dd0a0b322",
"name": "Updated Name",
"status": "active",
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-22T14:00:00Z",
"lastUsed": "2024-03-21T15:30:00Z"
}
Setting status to
revoked will immediately prevent the key from being used. This is useful for rotating keys or responding to security incidents.Error Responses
API Key Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "API key not found"
}
}
Code Examples
curl -X PUT "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123" \
-H "Authorization: Bearer YOUR_JWT" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Name",
"status": "active"
}'
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_JWT',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Name',
status: 'active'
})
}
);
const apiKey = await response.json();
console.log(`Updated API key: ${apiKey.name}`);
var request = URLRequest(url: URL(string: "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123")!)
request.httpMethod = "PUT"
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
let body = ["name": "Updated Name", "status": "active"]
request.httpBody = try JSONSerialization.data(withJSONObject: body)
let (data, _) = try await URLSession.shared.data(for: request)
val response = client.put("https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123") {
header("Authorization", "Bearer YOUR_JWT")
contentType(ContentType.Application.Json)
setBody(mapOf("name" to "Updated Name", "status" to "active"))
}
⌘I